/*
 * OpenComal -- a free Comal implementation
 *
 * This file is part of the OpenComal package.
 * (c) Copyright 1992-2024 Jos Visser <josvisser66@gmail.com>
 *
 * The OpenComal package is covered by the GNU General Public
 * License. See doc/LICENSE for more information.
 */

/* OpenComal Parrot Compiler */

extern long get_register();

extern long get_label();

extern void compiler_error(struct comal_line *line, char *s, ...);

extern char *labelname(long num);

extern char *regname1(long num, enum VAL_TYPE type);

extern char *regname2(long num, enum VAL_TYPE type);

extern char *regname3(long num, enum VAL_TYPE type);

extern void emit(char *label, char *code, char *comment);

extern void emit2(char *s, ...);

extern void compiler(char *filename);
